<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,
      initial-scale=1.0">
    <title>Settings: Apps Path</title>
  </head>
  <body>
    <div align="center"> <font size="+1"> <a href="cache.html"
          style="text-decoration:none">⬅️</a> <a href="index.html"
          style="text-decoration:none">⬆️</a> <a href="app.html"
          style="text-decoration:none">➡️</a> </font> </div>
    <h1>fw-app-launcher</h1>
    <h2>Documentation</h2>
    <h3>Settings</h3>
    <h4>Apps Path</h4>
    This is a path to where you can store your own fw_app_launcher
    apps.&nbsp; This directory holds directories like those in <tt>/Applications/fw_app_launcher.app/Contents/Resources/apps</tt>.&nbsp;
    An example is "Template", which you can use as a start in creating
    your own.&nbsp; This is the directory structure:<br>
    <blockquote>
      <meta charset="UTF-8">
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(86, 32, 244);"><span style="font-variant-ligatures:
          no-common-ligatures;">Template</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">├── __init.py__</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(86, 32, 244);"><span style="font-variant-ligatures:
          no-common-ligatures; color: rgb(0, 0, 0);">├──<span
            class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures;">fw_template</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">│&nbsp;&nbsp; ├── main.py</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">│&nbsp;&nbsp; └── parser.py</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">├── manifest.json</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">├── run.py</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">└──<span class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures; color:
          rgb(86, 32, 244);">uses</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(86, 32, 244);"><span style="font-variant-ligatures:
          no-common-ligatures; color: rgb(0, 0, 0);">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>├──<span
            class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures;">Another_use</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; ├──<span
            class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures; color:
          rgb(86, 32, 244);">html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp;
          │&nbsp;&nbsp; ├── 1.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp;
          │&nbsp;&nbsp; └── 2.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; ├──
          index.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; └──
          run.py</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>├──<span
            class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures; color:
          rgb(86, 32, 244);">Some_use</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; ├──<span
            class="Apple-converted-space">&nbsp;</span></span><span
          style="font-variant-ligatures: no-common-ligatures; color:
          rgb(86, 32, 244);">html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp;
          │&nbsp;&nbsp; ├── 1.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp;
          │&nbsp;&nbsp; └── 2.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; ├──
          index.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>│&nbsp;&nbsp; └──
          run.py</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">&nbsp; &nbsp;<span
            class="Apple-converted-space">&nbsp;</span>└── index.html</span></div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0); min-height: 13px;"><span
          style="font-variant-ligatures: no-common-ligatures;"></span><br>
      </div>
      <div style="font-style: normal; font-variant-caps: normal;
        font-weight: 400; letter-spacing: normal; orphans: auto;
        text-align: start; text-indent: 0px; text-transform: none;
        white-space: normal; widows: auto; word-spacing: 0px;
        -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px;
        text-decoration: none; margin: 0px; font-stretch: normal;
        font-size: 11px; line-height: normal; font-family: Menlo; color:
        rgb(0, 0, 0);"><span style="font-variant-ligatures:
          no-common-ligatures;">6 directories, 14 files<br>
        </span></div>
    </blockquote>
    Copy this whole directory structure into your <b>Apps Path</b>
    directory with a different top level name (not "Template") and then
    edit the two "<tt>run.py</tt>" files and the HTML files so that they
    do what you want.<br>
    <br>
    Example <b>Apps Path</b>: ~/my_very_own_apps<br>
    <span style="font-variant-ligatures: no-common-ligatures;"></span>
  </body>
</html>
